Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451900 - Some functions fail due to missing dependency on Crypt::OpenSSL::Bignum
Summary: Some functions fail due to missing dependency on Crypt::OpenSSL::Bignum
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Crypt-OpenSSL-RSA
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Wes Hardaker
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 451903
TreeView+ depends on / blocked
 
Reported: 2008-06-18 01:25 UTC by Kyle VanderBeek
Modified: 2008-07-23 12:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-23 12:54:06 UTC


Attachments (Terms of Use)

Description Kyle VanderBeek 2008-06-18 01:25:41 UTC
Description of problem:
Some functions related to keys produce errors when accessed.  They need
Crypt::OpenSSL::Bignum to work, and auto-deps don't work due to the unusual way
this module is bootstrapped.

A manual Requires on perl(Crypt::OpenSSL::Bignum) should be added to ensure full
functionality.

Version-Release number of selected component (if applicable):
perl-Crypt-OpenSSL-RSA-0.25-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. Run test script:
#!/usr/bin/perl
use Crypt::OpenSSL::RSA;
print Crypt::OpenSSL::RSA->generate_key(2048)->get_key_parameters();
  
Actual results:
Can't locate object method "bless_pointer" via package "Crypt::OpenSSL::Bignum"
at blib/lib/Crypt/OpenSSL/RSA.pm (autosplit into
blib/lib/auto/Crypt/OpenSSL/RSA/get_key_parameters.al) line 297.

Expected results:
Print representation of 4 Bignums returned by this method call.

Additional info:
Let me know if you want me to help with this (FAS kylev).  I found this while
getting Mail::DKIM ready.  This probably also affects RHEL versions.

Comment 1 Wes Hardaker 2008-06-19 16:52:00 UTC
FYI, fixed in CVS and built.  will go to testing shortly.

Comment 2 Kyle VanderBeek 2008-06-19 18:49:35 UTC
Any reason not to unify under the one spec version for all active branches
(devel, F-8, and F-9)?

(Also, in your koji build request you didn't quite get the bug notation right,
so the updates webapp doesn't correctly link to the bug.  I think you need a
lower-case "b=").

Comment 3 Wes Hardaker 2008-06-19 19:00:04 UTC
nope; no reason.  I've merged back to F-8 from F-9 and will copy F-9 to devel
too, but tehy're only different by whitespace.

As a general rant: I wish the packaging system had an easier way to maintain
multiple specs that were identical.  I'd be nice to build all from one common
source.


Comment 4 Fedora Update System 2008-06-19 19:17:53 UTC
perl-Crypt-OpenSSL-RSA-0.25-6.fc8 has been submitted as an update for Fedora 8

Comment 5 Kyle VanderBeek 2008-06-19 19:21:42 UTC
I'll put a "make backport" target for Makefile.common on my to-do list or
suggest it to the infrastructure group.  Shouldn't be hard to run that from,
say, your F-8/ directory and have it copy all the files from devel/ .

Comment 6 Wes Hardaker 2008-06-19 20:18:56 UTC
This is getting off topic, to say the least, but...  why not pull the spec file
from the common directory if it doesn't exist in the current?  That way it could
be modified in one place and used everywhere.

(then again, that should be the same for source files as well...  The common
directory could be used as a "everything" place.  Won't work for packages with
newer versions in newer distros, but will work well for a ton of other packages
out there).

Comment 7 Fedora Update System 2008-06-20 19:11:55 UTC
perl-Crypt-OpenSSL-RSA-0.25-6.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Crypt-OpenSSL-RSA'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5510

Comment 8 Fedora Update System 2008-07-23 07:14:58 UTC
perl-Crypt-OpenSSL-RSA-0.25-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.